Method: networks.daiEncodingProfiles.batchUpdate

Batch updates DaiEncodingProfile objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/daiEncodingProfiles:batchUpdate

Path parameters

Parameters
parent

string

Required. The parent resource where DaiEncodingProfiles will be updated. Format: networks/{networkCode} The parent field in the UpdateDaiEncodingProfileRequest must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (UpdateDaiEncodingProfileRequest)
    }
  ]
}
Fields
requests[]

object (UpdateDaiEncodingProfileRequest)

Required. The DaiEncodingProfile objects to update. A maximum of 100 objects can be updated in a batch.

Response body

Response object for daiEncodingProfiles.batchUpdate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "daiEncodingProfiles": [
    {
      object (DaiEncodingProfile)
    }
  ]
}
Fields
daiEncodingProfiles[]

object (DaiEncodingProfile)

The DaiEncodingProfile objects updated.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

UpdateDaiEncodingProfileRequest

Request object for daiEncodingProfiles.patch method.

JSON representation
{
  "daiEncodingProfile": {
    object (DaiEncodingProfile)
  },
  "updateMask": string
}
Fields
daiEncodingProfile

object (DaiEncodingProfile)

Required. The DaiEncodingProfile to update.

The DaiEncodingProfile's name is used to identify the DaiEncodingProfile to update.

updateMask

string (FieldMask format)

Optional. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".